Attribute Table does not show correctly on high resolution (2880x1620) monitors
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19631

Description

The rows in the attribute table are truncated in height, when using a large screen resolution 2880x1620). It is not possibly to read the

data, without first extending the height of a specific row by manually mouse interaction of each row, dragging the row to a large height.

![Attribute table dialog image](/image2.jpg?raw=true "Attribute table")

Image of attribute table with too litle height:

https://dl.dropboxusercontent.com/u/69660002/Image2.jpg

As a temporary workaround I use this Python code to raise the row height:

from PyQt4.QtGui import QApplication, QTableView

attrTables = [d for d in QApplication.instance().allWidgets() if d.objectName()  u'QgsAttributeTableDialog' or d.objectName() 

u'AttributeTable' ]

i=0

for rowid in range(1632):

    attrTables

0

.findChildren(QTableView)[0].setRowHeight( i, 40 )

    i += 1

Related issues:

Related to QGIS Application - Feature request # 11103: Support for retina dis... Closed 2014-08-26

History

#1 - 2014-10-06 04:38 AM - Jakob Lanstorp

Using QGIS 2.4 from OSGEO4W on Windows 8.1

#2 - 2014-10-06 09:48 AM - Giovanni Manghi

- Category set to GUI

- Status changed from Open to Feedback

- Priority changed from Normal to Low

is qgis master affected?

#3 - 2014-10-22 05:32 AM - Jakob Lanstorp

2024-03-20 1/3

https://dl.dropboxusercontent.com/u/69660002/Image2.jpg
#fn0


Yes, qgis master has the same problem as QGIS 2.4.

#4 - 2014-12-04 07:12 AM - Giovanni Manghi

- Priority changed from Low to Normal

- Affected QGIS version changed from 2.4.0 to master

- Status changed from Feedback to Open

see also #11791

#5 - 2014-12-08 04:08 AM - Giovanni Manghi

see also #11780

#6 - 2014-12-08 04:08 AM - Giovanni Manghi

see also #11103

#7 - 2015-01-28 11:44 PM - Andrea Danamaita

Hi all, after a looong research over my problem I finally found my answer!!! This workaround works great, it solves the small icon problem and the too

small height of rows in tables.

So this is my two cents of contribution, follow this link and read the instruction: http://www.danantonielli.com/adobe-app-scaling-on-high-dpi-displays-fix/

This is not the ideal solution but it should make it usable again. I hope in the future this problem will be corrected directly in QGIS.

My configuration is: laptop DELL Precision M3800 64bit; OS Win 8.1; monitor res 3200x1800; QGIS 2.6.1

Bye,

Andrea

#8 - 2015-04-28 01:43 AM - Alessandro Pasotti

This is an attempt to fix this issue:

https://github.com/qgis/QGIS/pull/2014

#9 - 2015-04-28 01:49 AM - Alessandro Pasotti

- Status changed from Open to Closed

Fixed in https://github.com/qgis/QGIS/pull/2014

#10 - 2015-04-28 01:50 AM - Jürgen Fischer

fixed in commit:15c1dbc
